For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/message/view

get

Get a message

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
messageidintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/message/view
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'messageid' => '3'
	);

$request = array(
	'method' => 'GET',
	'path' => 'message/view',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "message": {
    "messageid": "3",
    "send_date": "1565382565",
    "sent_by": "1",
    "recip_id": "1",
    "subject": "testSubject",
    "body": "testBody",
    "viewed": "0",
    "deleted": "0",
    "msg_grp": "1",
    "body_nice": "testBody",
    "added_by": "1",
    "loginid": "1",
    "added": "1565382565",
    "send_datetime": "2019-08-09 16:29:25",
    "notificationid": "3",
    "added_by_nice": "productsupport",
    "loginid_nice": "productsupport",
    "recip_list": [
      {
        "loginid": 1,
        "username": "productsupport"
      },
      {
        "loginid": 2,
        "username": "tmmvaffiliate"
      },
      {
        "loginid": 3,
        "username": "affiliateTest"
      },
      {
        "loginid": 4,
        "username": "AccountRep"
      }
    ],
    "recip_continued": 0
  }
}

Last updated

Was this helpful?